org.apache.felix.ipojo.util

## Interface DependencyModelListener

All Superinterfaces:
  DependencyStateListener

    public interface DependencyModelListener
    extends DependencyStateListener

Listener interface for service dependencies of iPOJO component instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `matchingServiceArrived(DependencyModel dependency, org.osgi.framework.ServiceReference<?> service)`
`void` `matchingServiceDeparted(DependencyModel dependency, org.osgi.framework.ServiceReference<?> service)`
`void` `matchingServiceModified(DependencyModel dependency, org.osgi.framework.ServiceReference<?> service)`
`void` `reconfigured(DependencyModel dependency)`
`void` `serviceBound(DependencyModel dependency, org.osgi.framework.ServiceReference<?> service, java.lang.Object object)`
`void` `serviceUnbound(DependencyModel dependency, org.osgi.framework.ServiceReference<?> service, java.lang.Object object)`

### Methods inherited from interface org.apache.felix.ipojo.util.DependencyStateListener

`invalidate, validate`

### Method Detail

#### matchingServiceArrived

    void matchingServiceArrived(DependencyModel dependency,
                                org.osgi.framework.ServiceReference<?> service)

#### matchingServiceModified

    void matchingServiceModified(DependencyModel dependency,
                                 org.osgi.framework.ServiceReference<?> service)

#### matchingServiceDeparted

    void matchingServiceDeparted(DependencyModel dependency,
                                 org.osgi.framework.ServiceReference<?> service)

#### serviceBound

    void serviceBound(DependencyModel dependency,
                      org.osgi.framework.ServiceReference<?> service,
                      java.lang.Object object)

#### serviceUnbound

    void serviceUnbound(DependencyModel dependency,
                        org.osgi.framework.ServiceReference<?> service,
                        java.lang.Object object)

#### reconfigured

    void reconfigured(DependencyModel dependency)